Mailinglist Archive: opensuse-buildservice (349 mails)

< Previous Next >
Re: [opensuse-buildservice] Fedora: choice for kernel >= 2.6.14
  • From: Marcus Meissner <meissner@xxxxxxx>
  • Date: Sat, 24 Nov 2007 09:11:34 +0100
  • Message-id: <20071124081134.GC3944@xxxxxxx>
On Sat, Nov 24, 2007 at 04:48:27PM +1000, Ben Martin wrote:
Building a package that uses FUSE I get this error on Fedora builds;
have choice for kernel >= 2.6.14 needed by fuse: kernel-debug
kernel-PAE-debug kernel-PAE kernel kernel-xen

Trying to keep opensuse 10.3 happy by adding with
BuildRequires: kernel-binary-packages
which allows the 586 opensuse package to build
but then the fedora build fails with expansion errors;
nothing provides kernel-default, nothing provides kernel-smp, nothing
provides kernel-bigsmp, nothing provides kernel-um, nothing provides
kernel-kdump

Perhaps some sort of "default" choice for the fedora map to just
'kernel' ?

I am using "-kernel" in the BuildRequires to remove the errornous kernel
dependency in my gphotofs package.

Ciao, Marcus
--
Working, but not speaking, for the following german company:
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG Nuernberg)
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-buildservice+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References